<template>
  <ui-link
    class="inline-flex"
    target="_blank"
    rel="noopener noreferrer"
    :href="href"
  >
    <slot />
  </ui-link>
</template>

<script lang="ts">
  import { defineComponent } from 'vue'
  import { UiLink } from '../UiLink'

  export default defineComponent({
    inheritAttrs: true,
    name: 'ui-external-link',
    props: {
      href: {
        type: String,
        required: true,
      }
    },
    components: { UiLink },
  })
</script>
